查看: 226|回复: 3

[技术求助] 为什么c4d R20不能正常安装插件和脚本?

[复制链接]
sos198925 发表于 2019-1-11 12:18:36 | 显示全部楼层 |阅读模式
为什么C4D R20不能安装正常R19插件和脚本?
回复 论坛版权

使用道具 举报

已抛锚 成长值: 2100

VFX-SHVIP会员 发表于 2019-2-17 00:18:27 | 显示全部楼层
R20改写了SDK,很多R19和以前的插件都不支持,脚本大多没什么影响
回复

使用道具 举报

 楼主| sos198925 发表于 2019-2-21 15:03:35 | 显示全部楼层
VFX-SH 发表于 2019-2-17 00:18
R20改写了SDK,很多R19和以前的插件都不支持,脚本大多没什么影响

谢谢回复,现在知道了
回复

使用道具 举报

laobian 发表于 2019-3-10 00:31:17 | 显示全部楼层
有老插件桥接R20的插件,拷贝一个就可以了。但是问题还是很多的,我把遇到的问题分享给大家:

1、
在R20中中新建一个插件文件夹plugins。
2、把老插件拷贝进去。
3、桥接插件那个文件必须在每个老插件文件里都复制一个进去(R20的plugins里的各个老插件),否则打开C4D R20后,在插件菜单里各种插件没有自己的子菜单,是分散的。
按照上面方法去做了各种插件就有了自己的子菜单了。
4;也是最恼火的问题,可能由于桥接插件每次都要在运行R20时初始化认到各个老插件,故启动R20时要等待很长时间,最长时甚至超过10分钟,此时很多人以为软件出了问题。
5、没有好的解决办法,不要太贪心老插件用在R20中,建议最多装三个常用的老插件,即使三个老插件还是要等十几秒的。

最后,俺还是老老实实用回了R19版本。R20虽然也装了,但作为花架子摆在桌面装B啊,嘿嘿。基本不用R20。
回复

使用道具 举报

欢迎来到中国C4D联盟,立即注册加入我们吧!
X
快速回复 返回顶部 返回列表